<?xml version="1.0" encoding="utf-8"?>
<com.scwang.smart.refresh.layout.SmartRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/refresh"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fillViewport="true">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_275"
                android:background="@drawable/home_top_bg"
                android:orientation="vertical"
                android:paddingLeft="@dimen/dp_14"
                android:paddingTop="@dimen/dp_46"
                android:paddingRight="@dimen/dp_14"

                >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/dp_87"
                        android:layout_height="@dimen/dp_21"
                        android:background="@drawable/home_logo"></ImageView>

                    <View
                        android:layout_width="@dimen/dp_1"
                        android:layout_height="@dimen/dp_14"
                        android:layout_marginLeft="@dimen/dp_8"
                        android:layout_marginRight="@dimen/dp_8"
                        android:background="@color/white"></View>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="河南日报报业集团旗下APP"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_12">

                    </TextView>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="郑州"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_16"></TextView>

                    <EditText
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_34"
                        android:layout_marginLeft="@dimen/dp_12"
                        android:layout_weight="1"
                        android:background="@drawable/search_bg"
                        android:drawableLeft="@drawable/search"
                        android:drawablePadding="@dimen/dp_6"
                        android:gravity="center_vertical"
                        android:hint="请输入搜索内容"
                        android:maxLines="1"
                        android:paddingLeft="@dimen/dp_10"
                        android:singleLine="true"
                        android:textSize="@dimen/sp_12"></EditText>
                </LinearLayout>

                <GridView
                    android:id="@+id/gridView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_20"
                    android:horizontalSpacing="@dimen/dp_30"
                    android:listSelector="@color/color_transparent"
                    android:numColumns="4"></GridView>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_m_36"
                android:gravity="center"
                android:orientation="horizontal"
                android:paddingLeft="@dimen/dp_14"
                android:paddingRight="@dimen/dp_14">

                <ImageView
                    android:layout_width="@dimen/dp_160"
                    android:layout_height="@dimen/dp_96"
                    android:background="@drawable/home_all"></ImageView>


                <View
                    android:layout_width="wrap_content"
                    android:layout_height="1dp"
                    android:layout_weight="1"></View>

                <ImageView
                    android:id="@+id/ivMyWaybill"
                    android:layout_width="@dimen/dp_160"
                    android:layout_height="@dimen/dp_96"
                    android:background="@drawable/home_my"></ImageView>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_42"
                android:layout_marginLeft="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_20"
                android:layout_marginRight="@dimen/dp_14"
                android:background="@drawable/marquee_bg"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="@dimen/dp_28"
                    android:layout_height="@dimen/dp_28"
                    android:background="@drawable/kuaixun"></ImageView>

                <ImageView
                    android:layout_width="@dimen/dp_18"
                    android:layout_height="@dimen/dp_18"
                    android:layout_marginLeft="@dimen/dp_13"
                    android:background="@drawable/bobao"></ImageView>

                <TextView
                    android:id="@+id/tvMar"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_2"
                    android:ellipsize="marquee"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:marqueeRepeatLimit="marquee_forever"
                    android:scrollHorizontally="true"
                    android:singleLine="true"
                    android:text="急啊卡省的JFK垃圾上单克里夫喀什酱豆腐卡拉就圣诞快乐房价爱上了夫卡是考虑到房价爱上了">

                </TextView>

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_22"
                android:layout_marginLeft="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_24">

                <ImageView
                    android:layout_width="@dimen/dp_50"
                    android:layout_height="@dimen/dp_8"
                    android:layout_alignParentBottom="true"
                    android:background="@drawable/title_bg"></ImageView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="推荐货源"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_18"
                    android:textStyle="bold"

                    ></TextView>

            </RelativeLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingLeft="@dimen/dp_14"
                android:paddingTop="@dimen/dp_24"
                android:paddingRight="@dimen/dp_14"></androidx.recyclerview.widget.RecyclerView>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>


</com.scwang.smart.refresh.layout.SmartRefreshLayout>